List disputes
GET /disputes: list all disputes on your account.
GET
https://api.wajub.com/disputesLive environment required
Dispute endpoints require the sk.… private key and are only available in the live environment.
statusstringoptionalOptional filter, e.g. status=needs_response.
pageintegeroptionaldefault : 1Page number to retrieve.
per_pageintegeroptionaldefault : 25Number of items per page (1–100).
GET
https://api.wajub.com/disputes?status=needs_responsecurl "https://api.wajub.com/disputes?status=needs_response" \
-H "Authorization: sk.kZ3qP8mWvL2xR7tB5nY4hC6dF9jS1aG0eU3i…"{
"status": "OK",
"code": 200,
"disputes": [
{
"id": "dsp_hrgUOE225KMKULRQqYvlh",
"status": "needs_response",
"amount": 5000,
"currency": "XAF",
"reason": "fraudulent",
"due_by": "2026-07-22T10:21:08.000Z",
"created_at": "2026-07-15T10:21:08.000Z"
}
],
"meta": {
"total": 1,
"per_page": 25,
"current_page": 1,
"last_page": 1
}
}